
-- /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// 
--	Capharnaum - 
--	Version 1.0.0
--	17/09/2010
--/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////// -->



function onDiceLanded(draginfo)
	if ChatManager.getDieRevealFlag() then
		draginfo.revealDice(true);
	end

	
	if draginfo.isType("dice") then
					
		-- Construction du message
		local entry = {};
		entry.font = "sheetnumbersmall"; --"narratorfont"; --"systemfont";
		entry.dice = draginfo.getDieList();

	end
		
	
end

--function onDrop(x, y, draginfo)
--	if draginfo.getType() == "number" then
--		applyModifierStackToRoll(draginfo);
--	end
--end

function moduleActivationRequested(module)
	local msg = {};
	msg.text = "Players have requested permission to load '" .. module .. "'";
	msg.font = "systemfont";
	msg.icon = "indicator_moduleloaded";
	addMessage(msg);
end

function moduleUnloadedReference(module)
	local msg = {};
	msg.text = "Could not open sheet with data from unloaded module '" .. module .. "'";
	msg.font = "systemfont";
	addMessage(msg);
end

function onInit()
	ChatManager.registerControl(self);
	
	if User.isHost() then
		Module.onActivationRequested = moduleActivationRequested;
		-- Info Version Grimmbart
		ChatManager.GrimmVersion();
	else
		-- Info Version Grimmbart
		ChatManager.GrimmVersion();
		-- Info sur Aide
		local msg = {};		
		msg.font = "systemfont";	
		msg.text = "";
		deliverMessage(msg);
		--		
		msg.text = "";
		deliverMessage(msg);
		msg.text = "Pour affficher l'aide, tapez la commande /";		
		deliverMessage(msg);
		msg.text = "";	
		deliverMessage(msg);
	end

	Module.onUnloadedReference = moduleUnloadedReference;
end

function onClose()
	ChatManager.registerControl(nil);
end

-- Custom: the_box
function onReceiveMessage(msg)
	if not User.isHost() then
		return false;
	elseif msg.sender ~= "thebox_box_roll:" then
		return false;
	else
		ChatManager.processDie(msg.text);
		return true;
	end
end
-- End Custom: the_box

